Skip to main content
PUT
/
tag
Update a tag
curl --request PUT \
  --url https://www.getsnippets.ai/api/prompts/tag \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tagName": "<string>",
  "tagColor": "<string>",
  "parentTagId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "success": true,
  "data": {
    "tag": {}
  },
  "usage": {
    "remainingRequests": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getsnippets.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication using Bearer token. Include your API key in the Authorization header.

Query Parameters

tagId
string<uuid>
required

The ID of the tag to update

Body

application/json
tagName
string
Maximum string length: 1000
tagColor
string
Maximum string length: 100
parentTagId
string<uuid> | null

Response

Tag updated successfully

success
boolean
Example:

true

data
object
usage
object